[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetIsCellSelected

Determines if the cell at the specified location is currently selected.

## Declaration

Source position: dbgrids.pas line 474

`protected function TCustomDBGrid.GetIsCellSelected(`
`aCol: Integer;`
`aRow: Integer`
`):Boolean; override;`

## Arguments

`aCol` |  | Column number to examine.
`aRow` |  | Row number to examine.

## Function result

True when the specified cell is selected or multi-selected.

## Description

GetIsCellSelected is an overridden Boolean function used to determine if the cell at the specified location is currently selected. GetIsCellSelected calls the inherited method to get the return value, and also examines the value in DrawingMultiSelRecord. The return value is True when the cell is either selected or multi-selected (when enabled).

## See also

TCustomGrid.GetIsCellSelected |  | Gets the value for the indexed IsCellSelected property.